Name:		clusternfs
Version:	3.0.rc2
Release:	%mkrel 16

License:	GPL
Group:		System/Servers
Provides:	nfscluster nfs-server
Requires:	portmap
Conflicts:	nfs-utils
Summary:	ClusterNFS server
URL:		http://clusternfs.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Source1:	clusternfs.init
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	portmap >= 4.0
Requires(post):	chkconfig rpm-helper
Requires(preun): chkconfig rpm-helper
%description
ClusterNFS allows diskless clients to share a single root filesystem
by matching "tagged" filenames of the form "filename$$TAG=value$$" 
with fallback to the original filename.

%prep
%setup -q
sed -i 's|register void|register|g' *.c

%build
%serverbuild
./BUILD --batch \
	--rquotad=no \
	--ugidd=no --nis=yes \
	--hosts-access=yes\
	--libwrap-directory=%{_libdir} \
	--exports-uid=0 --exports-gid=0 \
	--log-mounts=yes --multi=yes \
	--devtab=yes --trnames=yes \
	--path_devtab=%{_localstatedir}/nfs/devtab

%make

%install
rm -fr %{buildroot}

%makeinstall_std
install -d %{buildroot}/var/adm/fillup-templates
install -m 755 %{SOURCE1} -D %{buildroot}%{_initrddir}/clusternfs
rm -f $RPM_BUILD_ROOT{%{_sbindir}/,%{_mandir}/man8/}showmount*

%post
if [ $1 == 2 ]; then
/sbin/chkconfig --del %{name}
/sbin/chkconfig --add %{name}
fi
%_post_service %{name}

%preun
%_preun_service %{name}
  
%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog HALL_OF_FAME NEWS README README.HISTORIC TODO README.ClusterNFS EXAMPLE.ClusterNFS
%{_mandir}/man5/*
%{_mandir}/man8/[m-r]*
%{_localstatedir}/nfs
%{_sbindir}/rpc.*
%config(noreplace) %{_initrddir}/clusternfs



%changelog
* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.0.rc2-16mdv2008.0
+ Revision: 70157
- kill file require on chkconfig


* Sat Jan 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.0.rc2-15mdk
- add paralell init
- be sure to print newline in initscript

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.0.rc2-14mdk
- Rebuild

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.rc2-13mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.rc2-12mdk
- fix rpmlint errors (PreReq)

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 3.0.rc2-11mdk
- fix build, mkrel

* Mon Mar 01 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-10mdk
- provides nfs-server (#8490)

* Tue Feb 03 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.rc2-9mdk
- move initscript from 50->56 (start after named) (Francisco Javier Felix)

* Wed Jun 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.0.rc2-8mdk
- spec file fixes
- fix unpackaged files
- use export CFLAGS="-O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fomit-frame-pointer -march=i586 -mtune=pentiumpro -fasynchronous-unwind-tables -fno-omit-frame-pointer"; export CXXFLAGS="-O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fomit-frame-pointer -march=i586 -mtune=pentiumpro -fasynchronous-unwind-tables -fno-omit-frame-pointer"; export RPM_OPT_FLAGS="-O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fomit-frame-pointer -march=i586 -mtune=pentiumpro -fasynchronous-unwind-tables -fno-omit-frame-pointer" 
 macro to use $RPM_OPT_FLAGS
- macroize
- fix E: clusternfs no-prereq-on rpm-helper

